GNU bug report logs - #9065
Speed up compile.el scanning

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Peter Dyballa <Peter_Dyballa@HIDDEN>; merged with #3700, #13369, #29554; dated Wed, 13 Jul 2011 09:02:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 3700 9065 13369 29554. Request was from Noam Postavsky <npostavs@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3700 9065 13369. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 3700 9065. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'Speed up compile.el scanning' from '24.0.50; ESC-> does not seem to function' Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 9065 <at> debbugs.gnu.org:


Received: (at 9065) by debbugs.gnu.org; 11 Oct 2011 02:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 10 22:10:56 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RDRnz-0004PH-IV
	for submit <at> debbugs.gnu.org; Mon, 10 Oct 2011 22:10:56 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.183]
	helo=ironport2-out.pppoe.ca)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <monnier@HIDDEN>)
	id 1RDRnx-0004Oz-Sx; Mon, 10 Oct 2011 22:10:54 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av0EALSkk05FxJoX/2dsb2JhbABDqBqBBoFTAQEFJy8jEAs0EhQYDSTCHIdMBKEdhEU
X-IronPort-AV: E=Sophos;i="4.68,520,1312171200"; d="scan'208";a="141054091"
Received: from 69-196-154-23.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.154.23])
	by ironport2-out.pppoe.ca with ESMTP/TLS/ADH-AES256-SHA;
	10 Oct 2011 22:10:33 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id AA7EF660B6; Mon, 10 Oct 2011 22:10:32 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: bug#9065: 24.0.50; ESC-> does not seem to function
Message-ID: <jwv4nzg47z0.fsf-monnier+emacs@HIDDEN>
References: <1AB10BE2-8490-4365-BB96-586D68F69C1A@HIDDEN>
	<m3r53nk8r9.fsf@HIDDEN>
	<71CC3B57-1E83-411E-8D5D-473F946659BA@HIDDEN>
Date: Mon, 10 Oct 2011 22:10:32 -0400
In-Reply-To: <71CC3B57-1E83-411E-8D5D-473F946659BA@HIDDEN> (Peter
	Dyballa's message of "Sun, 9 Oct 2011 12:24:01 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 9065
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 9065 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

retitle 9065 Speed up compile.el scanning
thanks

Yes, the scanning performed is problematic for large buffers.
There are several ways to improve the problem:
1- make the job more lazy.  E.g. split compilation--ensure-parse into 3 parts:
   a- a position independent part (that can be done one a region
      regardless of preceding text) to use in font-lock.
   b- a position-dependent part doing all the heavy lifting, used in next-error.
   c- the rest is also position-dependent but also used from font-lock,
      i.e. works just like the current compilation--ensure-parse and hence
      is the source of performance problem (so it should do as little as
      possible).
2- speed up the scanning done in syntax-propertize.

I suspect most of the time is spent regexp-matching, and this regexp
matching can be done some other way (instead of a loop over various
regexps each one matched via re-search-forward using a backtracking
matcher, we could combine them all into a single regexp matched via
a non-backtracking matcher, except for the few regexps using back-refs).

I.e. option (2) is clearly possible and could reduce the performance
problem by a very large amount.

But option (1) is also possible and highly desirable.

Patches welcome.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9065; Package emacs. Full text available.

Message received at 9065 <at> debbugs.gnu.org:


Received: (at 9065) by debbugs.gnu.org; 9 Oct 2011 10:27:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 09 06:27:04 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RCqb1-0003SO-3O
	for submit <at> debbugs.gnu.org; Sun, 09 Oct 2011 06:27:04 -0400
Received: from mout6.freenet.de ([195.4.92.96])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1RCqaw-0003Ru-6d
	for 9065 <at> debbugs.gnu.org; Sun, 09 Oct 2011 06:27:00 -0400
Received: from [195.4.92.141] (helo=mjail1.freenet.de)
	by mout6.freenet.de with esmtpa (ID peter_dyballa@HIDDEN) (port 25)
	(Exim 4.76 #5) id 1RCqao-0008K1-Rv; Sun, 09 Oct 2011 12:26:50 +0200
Received: from localhost ([::1]:52379 helo=mjail1.freenet.de)
	by mjail1.freenet.de with esmtpa (ID peter_dyballa@HIDDEN) (Exim
	4.76 #1) id 1RCqao-0005kH-Ny; Sun, 09 Oct 2011 12:26:50 +0200
Received: from [195.4.92.18] (port=46561 helo=8.mx.freenet.de)
	by mjail1.freenet.de with esmtpa (ID peter_dyballa@HIDDEN) (Exim
	4.76 #1) id 1RCqY9-0004VP-2D; Sun, 09 Oct 2011 12:24:05 +0200
Received: from ip-88-153-242-186.unitymediagroup.de ([88.153.242.186]:53037
	helo=Latsche.fritz.box)
	by 8.mx.freenet.de with esmtpsa (ID peter_dyballa@HIDDEN)
	(TLSv1:AES128-SHA:128) (port 587) (Exim 4.76 #1)
	id 1RCqY8-0006zx-RF; Sun, 09 Oct 2011 12:24:04 +0200
Message-Id: <71CC3B57-1E83-411E-8D5D-473F946659BA@HIDDEN>
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <m3r53nk8r9.fsf@HIDDEN>
Content-Type: text/plain; charset=WINDOWS-1252; format=flowed; delsp=yes
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Apple Message framework v936)
Subject: Re: 24.0.50; ESC-> does not seem to function
Date: Sun, 9 Oct 2011 12:24:01 +0200
References: <1AB10BE2-8490-4365-BB96-586D68F69C1A@HIDDEN>
	<m3r53nk8r9.fsf@HIDDEN>
X-Mailer: Apple Mail (2.936)
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: 9065
Cc: 9065 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.3 (---)


Am 11.09.2011 um 06:23 schrieb Lars Magne Ingebrigtsen:

> Peter Dyballa <Peter_Dyballa@HIDDEN> writes:
>
>> Launched with -Q, to see whether effects I encounter in customised
>> copy might be due to the customisation. Here in a *compilation* =20
>> buffer
>> the compilation of GCC happens =96 100,000 or so lines of output. =20
>> When I
>> want to go the bottom of the buffer and type ESC-> the wristwatch
>> cursor appears. It can stay of minutes, maybe even longer. No =20
>> movement
>> of the text in the buffer happens. But when I press C-g the cursor is
>> at once at the end of the buffer and is pushed further forward from
>> the output just happening.
>
> Try (setq debug-on-quit t) and then `C-g'.  Post the backtrace here.

The failure is never so severe that it comes to debugging ... But I =20
found the cause for the slow down, when I repeated this a lot in =20
*compilation* buffers with warnings in them: the cursor is not just =20
moved to the end of the buffer, while this happens the text is scanned =20=

for warnings, errors, etc. The same seems to be true when using =20
isearch. It's also pretty slow in *compilation* buffers.

I don't know whether this is documented (it should be). What I'd wish =20=

is that I could configure/customise the (large, > 10,000 lines) =20
*compilation* buffers (often compiling with -H and -Wl,-t) that it is =20=

not scanned for compiler reports, either unconditionally or =20
conditionally based on the number of lines in the buffer, that this =20
scanning stops when the number becomes greater than a certain value. =20
There are means to search for these compiler reports, so there should =20=

not be a side-project performed when moving the mark or isearch'ing.

--
Greetings

   Pete

Almost anything is easier to get into than out of.
				=96 Allen's Law





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#9065; Package emacs. Full text available.

Message received at 9065 <at> debbugs.gnu.org:


Received: (at 9065) by debbugs.gnu.org; 11 Sep 2011 04:47:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 00:47:25 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R2bwz-00088B-Bm
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2011 00:47:25 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1R2bwv-00087d-EJ
	for 9065 <at> debbugs.gnu.org; Sun, 11 Sep 2011 00:47:22 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1R2bsj-0001Zf-J6; Sun, 11 Sep 2011 06:43:01 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: Peter Dyballa <Peter_Dyballa@HIDDEN>
Subject: Re: 24.0.50; ESC-> does not seem to function
In-Reply-To: <1AB10BE2-8490-4365-BB96-586D68F69C1A@HIDDEN> (Peter
	Dyballa's message of "Wed, 13 Jul 2011 11:01:15 +0200")
Date: Sun, 11 Sep 2011 06:23:06 +0200
Message-ID: <m3r53nk8r9.fsf@HIDDEN>
References: <1AB10BE2-8490-4365-BB96-586D68F69C1A@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Colourbox's _Punch_: "Keep On Pushing"
MIME-Version: 1.0
Content-Type: text/plain; charset=windows-1252
Content-Transfer-Encoding: quoted-printable
X-MailScanner-ID: 1R2bsj-0001Zf-J6
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1316320981.65255@rpCQjtcQFeeL4L3pc+QVAA
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 9065
Cc: 9065 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

Peter Dyballa <Peter_Dyballa@HIDDEN> writes:

> Launched with -Q, to see whether effects I encounter in customised
> copy might be due to the customisation. Here in a *compilation* buffer
> the compilation of GCC happens =96 100,000 or so lines of output. When I
> want to go the bottom of the buffer and type ESC-> the wristwatch
> cursor appears. It can stay of minutes, maybe even longer. No movement
> of the text in the buffer happens. But when I press C-g the cursor is
> at once at the end of the buffer and is pushed further forward from
> the output just happening.

Try (setq debug-on-quit t) and then `C-g'.  Post the backtrace here.

--=20
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9065; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2011 09:01:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 13 05:01:50 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1QgvKE-0000G6-IL
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2011 05:01:50 -0400
Received: from eggs.gnu.org ([140.186.70.92])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvK8-0000Fp-9g
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2011 05:01:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvJw-0007UN-Tt
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2011 05:01:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_RP_MATCHES_RCVD,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from lists.gnu.org ([140.186.70.17]:60540)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvJw-0007UF-OZ
	for submit <at> debbugs.gnu.org; Wed, 13 Jul 2011 05:01:28 -0400
Received: from eggs.gnu.org ([140.186.70.92]:59310)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvJs-0005EU-GC
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2011 05:01:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvJn-0007Sm-Qy
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2011 05:01:24 -0400
Received: from mout8.freenet.de ([195.4.92.98]:39195)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <Peter_Dyballa@HIDDEN>) id 1QgvJn-0007SR-EI
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2011 05:01:19 -0400
Received: from [195.4.92.19] (helo=9.mx.freenet.de)
	by mout8.freenet.de with esmtpa (ID peter_dyballa@HIDDEN) (port 25)
	(Exim 4.76 #5) id 1QgvJl-0003sz-I1
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2011 11:01:17 +0200
Received: from ip-109-91-229-205.unitymediagroup.de ([109.91.229.205]:62551
	helo=Latsche.fritz.box)
	by 9.mx.freenet.de with esmtpsa (ID peter_dyballa@HIDDEN)
	(TLSv1:AES128-SHA:128) (port 587) (Exim 4.72 #5) id 1QgvJl-0003KI-Cq
	for bug-gnu-emacs@HIDDEN; Wed, 13 Jul 2011 11:01:17 +0200
Message-Id: <1AB10BE2-8490-4365-BB96-586D68F69C1A@HIDDEN>
From: Peter Dyballa <Peter_Dyballa@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=WINDOWS-1252; format=flowed; delsp=yes
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Apple Message framework v936)
Subject: 24.0.50; ESC-> does not seem to function
Date: Wed, 13 Jul 2011 11:01:15 +0200
X-Mailer: Apple Mail (2.936)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.2 (-----)

Hello!

In GNU Emacs 24.0.50.1 (powerpc-apple-darwin9.8.0, GTK+ Version 2.24.4)
  of 2011-07-02 on ip-109-91-229-51.unitymediagroup.de
Windowing system distributor `The X.Org Foundation', version =20
11.0.11002000
configured using `configure  '--without-sound' '--without-dbus' '--=20
without-pop' '--without-gconf' '--without-gpm' '--without-gsettings' =20
'--with-x-toolkit=3Dgtk' '--enable-locallisppath=3D/Library/Application =20=

Support/Emacs/calendar24:/Library/Application Support/Emacs' 'CFLAGS=3D-=20=

g -H -pipe -fPIC -fno-common -mcpu=3D7450 -mtune=3D7450 -maltivec -=20
faltivec -mabi=3Daltivec -Os -mfused-madd -mmultiple -ftree-vectorize' =20=

'LDFLAGS=3D-Wl,-dead_strip_dylibs -Wl,-bind_at_load -Wl,-t' 'CC=3Dgcc-4' =
=20
'CPP=3Dcpp-4' =
'PKG_CONFIG_PATH=3D/opt/local/lib/pkgconfig:/opt/local/share/=20
pkgconfig:/usr/lib/pkgconfig''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default enable-multibyte-characters: t

Major mode: Compilation

Minor modes in effect:
   shell-dirtrack-mode: t
   text-scale-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Launched with -Q, to see whether effects I encounter in customised =20
copy might be due to the customisation. Here in a *compilation* buffer =20=

the compilation of GCC happens =96 100,000 or so lines of output. When I =
=20
want to go the bottom of the buffer and type ESC-> the wristwatch =20
cursor appears. It can stay of minutes, maybe even longer. No movement =20=

of the text in the buffer happens. But when I press C-g the cursor is =20=

at once at the end of the buffer and is pushed further forward from =20
the output just happening.

I have the impression that a few thousand lines have to be between the =20=

point where I type ESC-> and the end of the buffer =96 and maybe text =20=

insertion has to happen. One constraint could also be heavy CPU load =20
and GNU Emacs swapped out due to leaving it untouched for hours. It =20
behaves very inert when I pick it to be the active X client. The =20
cursor appears after seconds and heavy disk activity is indicated.

--
Greetings

   Pete

Imbecility, n.:
	A kind of divine inspiration, or sacred fire affecting =
censorious =20
critics of this dictionary.
				=96 Ambrose Bierce: _The Devil's =
Dictionary_





Acknowledgement sent to Peter Dyballa <Peter_Dyballa@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#9065; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 5 Dec 2017 00:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.